Bug 585688 - [abrt] crash in gnome-lirc-properties-0.4.0-1.fc12: connection.py:630:call_blocking:DBusException: org.freedesktop.PolicyKit1.Error.Failed: Error parsing subject struct
[abrt] crash in gnome-lirc-properties-0.4.0-1.fc12: connection.py:630:call_bl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
abrt_hash:08997608
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 12:06 EDT by Kenny Armstrong
Modified: 2013-03-05 23:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:52:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.90 KB, text/plain)
2010-04-25 12:06 EDT, Kenny Armstrong
no flags Details

  None (edit)
Description Kenny Armstrong 2010-04-25 12:06:44 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gnome-lirc-properties
comment: Just try to run the Infrared Remote Control utility
component: gnome-lirc-properties
executable: /usr/bin/gnome-lirc-properties
kernel: 2.6.33.2-57.fc13.x86_64
package: gnome-lirc-properties-0.4.0-1.fc12
reason: connection.py:630:call_blocking:DBusException: org.freedesktop.PolicyKit1.Error.Failed: Error parsing subject struct
release: Fedora release 13 (Goddard)

backtrace
-----
connection.py:630:call_blocking:DBusException: org.freedesktop.PolicyKit1.Error.Failed: Error parsing subject struct

Traceback (most recent call last):
  File "/usr/bin/gnome-lirc-properties", line 27, in <module>
    gnome_lirc_properties.run(sys.argv[1:], datadir)
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/__init__.py", line 57, in run
    return ui.RemoteControlProperties(gtk.glade.XML(ui_filename)).run()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/ui/RemoteControlProperties.py", line 56, in __init__
    self.__setup_authorization()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/ui/RemoteControlProperties.py", line 223, in __setup_authorization
    granted = self.__auth.is_authorized()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/policykit.py", line 45, in is_authorized
    action_id, {}, dbus.UInt32(0), '', timeout=600)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.PolicyKit1.Error.Failed: Error parsing subject struct

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x14b28f0>
args: (('unix-process', {'pid': dbus.UInt32(2590L, variant_level=1)}), 'org.gnome.lirc-properties.mechanism.configure', {}, dbus.UInt32(0L), '')
utf8_strings: False
bus_name: dbus.UTF8String(':1.28')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/org/freedesktop/PolicyKit1/Authority'
timeout: 600
signature: u'(sa{sv})sa{ss}us'
dbus_interface: 'org.freedesktop.PolicyKit1.Authority'
message: <dbus.lowlevel.MethodCallMessage object at 0x107bd68>
method: 'CheckAuthorization'

How to reproduce
-----
1.  Just tried to use the Infrared Remote Control utility and it immediately crashes
2.
3.
Comment 1 Kenny Armstrong 2010-04-25 12:06:46 EDT
Created attachment 408972 [details]
File: backtrace
Comment 2 mail@romal.de 2010-05-15 13:48:41 EDT
Package: gnome-lirc-properties-0.4.0-1.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Starting gnome-lirc-properties
2.
3.
Comment 3 Bastien Nocera 2010-05-24 07:17:44 EDT
This is a regression in PolicyKit's arguments parsing, see:
https://bugs.freedesktop.org/show_bug.cgi?id=28228
Comment 4 Scott Carpenter 2010-11-29 15:02:02 EST
I was able to get around this by making a minor change to line 44 of policykit.py
--
change:

        (is_auth, _, details) = self.policy_kit.CheckAuthorization(
                       	('unix-process', {'pid': dbus.UInt32(pid, variant_level=1)}),
                        action_id, {}, dbus.UInt32(0), '', timeout=600)
        logging.debug('%s: authorized=%r', action_id, is_auth)

to:

        (is_auth, _, details) = self.policy_kit.CheckAuthorization(
                       	('unix-process', {'pid': dbus.UInt32(pid, variant_level=1),'start-time':0}),
                        action_id, {}, dbus.UInt32(0), '', timeout=600)
        logging.debug('%s: authorized=%r', action_id, is_auth)
Comment 5 Bug Zapper 2011-06-02 10:52:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 11:52:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.